Package Details: ufoai-git 1:2.6.42188.8e2a1a5-1

Git Clone URL: https://aur.archlinux.org/ufoai-git.git (read-only)
Package Base: ufoai-git
Description: In UFO: Alien Invasion you fight aliens trying to capture Earth (dev version)
Upstream URL: http://ufoai.org/wiki/News
Licenses: GPL
Conflicts: ufoai, ufoai-data
Submitter: Wesley
Maintainer: anthraxx
Last Packager: anthraxx
Votes: 9
Popularity: 0.000000
First Submitted: 2011-01-02 03:58
Last Updated: 2015-06-18 16:12

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

evanlec commented on 2013-09-07 23:21

Can you explain what you mean by "driver issues" as why you disowned the package?
This is really a great linux game and I'm hoping that the new maintainer (anthraxx) will continue to keep this package up to date.

Also, the maps do take forever to build, even on fast machines, so I recommend we implement hollunder's suggestions ('make maps-sync' instead of 'make maps')

Also I think line 39: 'cd $_gitname' should be removed, as we are already in that diretory and build fails.

DrTError commented on 2013-07-27 14:39

Will disown packege, because of driver-issues. feel free to adopt

hollunder commented on 2013-07-25 22:55

Two suggestions:
1) Add --disable-uforadiant to the configure line to disable the map editor.
2) Use make 'maps-sync' instead of 'make maps' to have it download the maps instead of building them and drastically speed up the build process.

DrTError commented on 2013-03-15 16:50

so changed PKBUILD again hope it will solve the problem with the texts.

please test and leave a comment

TomFyuri commented on 2013-03-14 20:09

Turns out /usr/share/locale is all right. The game doesn't have intro text for some other reason.

TomFyuri commented on 2013-03-14 19:46

This is very weird. i18n folder is compiled when you run makepkg. Yet ufoai.mo is being copied to /usr/share/locale after installing. And game doesn't pick up language.

Also you have to actually compile .po files before using, don't you?

TomFyuri commented on 2013-03-14 19:43

src folder has already base/i18n folder with all translations compiled when you finish makepkg command. Why do we have to install them from pootle and compile ourselves?
The question is why are they not copied into pkg and installed?

TomFyuri commented on 2013-03-14 19:22

Here's what I've done:
sudo mkdir -p /usr/share/ufoai/base/i18n/en/LC_MESSAGES/
cd /usr/share/ufoai/base/i18n/en/LC_MESSAGES/
sudo wget http://ufoai.org/pootle/export/ufoai/en_BASE/ufoai.po
sudo mv ufoai.po ufoai.mo

And it seems it's kinda work BUT, the game still spam a lot of translation error messages, doesn't detect english in options and I have no intro sentences.

DrTError commented on 2013-03-14 11:39

The language files are not included in the git repo.
you have to download your language here:
http://ufoai.org/pootle/<lang-code>/ufoai/
its a file named ufai.po
and have to rename it to an .mo-file now you have to copy it to the lang-dict located in
usr/share/ufoai/<version>/base/i18n/<lang> (as root ,all users)
or
home/ufoai/<version>/base/i18n/<lang> (local user)

thats worked for me

DrTError commented on 2013-03-14 11:37

The language files are not included in the git repo.
you have to download your language here:
http://ufoai.org/pootle/<lang-code>/ufoai/
its a file named ufai.po
and have to rename it to an .mo-file now you have to copy it to the lang-dict located in
usr/share/ufoai/<version>/base/i18n/<lang> (as root ,all users)
or
home/ufoai/<version>/base/i18n/<lang> (local user)

thats worked for me